require "import"
import "android.preference.PreferenceManager"

-- Obter preferências gerais
prefs = PreferenceManager.getDefaultSharedPreferences(service)
allPreferences = prefs.getAll()

-- Converter objeto Java em tabela
preferencesTable = {}
keys = allPreferences.keySet().toArray()
for i = 0, #keys - 1 do
    key = keys[i]
    value = allPreferences.get(key)
    preferencesTable[tostring(key)] = tostring(value)
end

-- Parâmetros que você deseja exibir
keysToPrint = {"versionName", "user_name", "user_password", "user_validity"}

-- Exibir parâmetros com nomes em português
local replacements = {
    versionName = "Nome da versão",
    user_name = "Nome do usuário",
    user_password = "Senha do usuário",
    user_validity = "Validade do usuário"
}

for _, key in ipairs(keysToPrint) do
    if preferencesTable[key] then
        local portugueseName = replacements[key] or key:gsub("_", " ")
        local value = preferencesTable[key]

        -- Verifica strings em chinês e substitui
        if value == "非会员" or value == "登录超时，请联网验证" then
            value = value == "非会员" and "Não é um assinante" or "Tempo limite de login, conecte-se à rede"
        end

        -- Exibe o resultado
        print("Parâmetro: " .. portugueseName .. ", valor: " .. value)
    end
end